#!/bin/sh
# Check all wleiden.conf files on valid perl syntax for people not familiar
# with perl to generate right configs

PATH=$PATH:/usr/local/bin
DIRNAME=`dirname $0`

RETVAL=0
python $DIRNAME/syntax-checker.py || RETVAL=1

if [ "${RETVAL}" -eq 1 ]; then
  echo "Please fix errors before commit!"
  exit 1
fi
